Skip to navigation

Added

  • Ats → Get an interview transcript: Endpoint is now available, which allows to retrieve the transcript of an interview as a paginated, ordered list of speaker segments.

  • Legal Entities → Submit EDD request answers for a legal entity: Endpoint is now available, which allows to answer the open enhanced due diligence (EDD) request of a legal entity by submitting answers for each question in the EDD form.

Changed

  • It Products → List products in the catalog: Added category query parameter that filters results by product category.

  • Ats Applications → Retrieve a list of ATS applications: Added position_number to the current_application_interview_plan_stage.interview_plan_stage response field that indicates the ordinal position of the stage in the job pipeline; raised the limit query parameter maximum from 100 to 500.

  • Ats Offers → Retrieve a list of ATS offers: Added application object and sent_at field to the response that identify the offer’s candidate and job without a second lookup and record when the offer was sent to the candidate.

  • Webhooks → Retrieve a single webhook: Added include_child_orgs to the response that indicates whether the webhook will also receive events from child organizations.

  • Ats Jobs → Retrieve a list of ATS jobs: Added optional job_ids query parameter that allows resolving specific jobs by UUID, and added PAUSED as a new allowed value to the status filter parameter and response field.

  • Webhooks → Update a webhook: Added url, name, events, and description fields to the request body, allowing callers to update additional webhook subscription properties.

  • Eor → Get amendment data points configuration by country: Added new allowed values to the item enum in the response: END_DATE, CURRENCY, TIME_OFF_TYPE, FIXED_ALLOWANCES, PROBATION_PERIOD, SENIORITY_ID, WORK_HOURS_PER_WEEK, EMPLOYMENT_STATE, EMPLOYMENT_TYPE, EMPLOYEE_NATIONALITY, NOTICE_PERIOD_DURING_PROBATION, NOTICE_PERIOD_AFTER_PROBATION, NOTICE_PERIOD_TYPE, WORK_SCHEDULE, SENIORITY_DATE, JOB_CATEGORY, and JOB_CODE.

  • Custom Fields Contracts → List all custom fields: Added hyperlink as a new allowed value for the type.name field in the response, enabling custom fields of hyperlink type.

  • Custom Fields Contracts → Get custom fields from contracts: Added hyperlink as a new allowed value for the type.name field in the response, enabling custom fields of hyperlink type.

  • Custom Fields Contracts → Retrieve custom fields for a contract: Added hyperlink as a new allowed value for the type field in the response.

  • Custom Fields People → List all people custom fields: Added hyperlink as a new allowed value for the type.name field and peo, hris_direct_contractor, and person_without_contract as new allowed values for the settings.worker_types field in the response.

  • Custom Fields People → Retrieve custom fields for a worker: Added hyperlink as a new allowed value for the type field in the response.

  • Legal Entities → Submit KYB information for a legal entity: Added null as an explicit allowed value for meta_type in the response documents array, documenting that it is null for non-Proof of Authority documents.

  • Legal Entities → Retrieve the KYB state of a legal entity: Added null as an explicit allowed value in the meta_type enum of documents response items, reflecting that this field is null for non-Proof of Authority documents.

  • Adjustments → Retrieve adjustments: Added odp_only to the response that indicates whether the adjustment is restricted to on-demand payroll and never attached to a regular payroll cycle.